Skip to content

Trigger a POST request to the webhook.

POST
/yourcompany.com/any/order/path
curl --request POST \
--url https://api.tradecloud1.com/v2/yourcompany.com/any/order/path \
--header 'Content-Type: application/json' \
--data '{ "eventName": "OrderLinesAcceptedBySupplier", "orderEvent": { "orderId": "cb0cef0b-6538-4828-b45e-5ad8ea69b5cd-PO2189", "buyerOrder": { "companyId": "deea1b30-64b6-4dbf-ad74-51895c4a7695", "buyerParty": { "id": "COMPANY-123", "idScheme": "KvK", "names": [ "Blue Corp.", "Ocean District" ], "addressLines": [ "Main street 1", "Building 6" ], "postalCode": "1234 AB", "city": "Delft", "countryCodeIso2": "NL", "countryName": "The Netherlands" }, "buyerAccountingParty": { "id": "COMPANY-123", "idScheme": "KvK", "names": [ "Blue Corp.", "Ocean District" ], "addressLines": [ "Main street 1", "Building 6" ], "postalCode": "1234 AB", "city": "Delft", "countryCodeIso2": "NL", "countryName": "The Netherlands" }, "purchaseOrderNumber": "PO123456789", "supplierAccountNumber": "SUPPLIER12345", "supplierParty": { "id": "COMPANY-123", "idScheme": "KvK", "names": [ "Blue Corp.", "Ocean District" ], "addressLines": [ "Main street 1", "Building 6" ], "postalCode": "1234 AB", "city": "Delft", "countryCodeIso2": "NL", "countryName": "The Netherlands" }, "description": "Any custom text about this order", "destination": { "locationType": "Supplier Premises", "code": "LOC001", "names": [ "Company Name Headquarters" ], "addressLines": [ "Molengraaffsingel 12" ], "postalCode": "1234 AB", "city": "Delft", "countryCodeIso2": "NL", "countryName": "The Netherlands" }, "terms": { "incotermsCode": "CIF", "incoterms": "ECT Rotterdam", "paymentTermsCode": "30D", "paymentTerms": "30 days" }, "indicators": { "autoConfirm": true }, "properties": [ { "key": "color", "value": "red" } ], "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "description": "General document", "type": "General" } ], "notes": [ "Buyer note 1", "Buyer note 2" ], "labels": [ "first label for this buyer order", "second label for this buyer order" ], "contact": { "userId": "1ff0bd3b-9ee1-4b04-b6d0-f34de09aafce", "email": "johndoe@test.com", "userName": "john.d", "status": "Assigned", "firstName": "John", "lastName": "Doe", "position": "Supply Chain Manager", "phoneNumber": "+31612345678" }, "orderType": "Purchase", "customLabels": [ { "text": "Urgent", "reason": "Out of stock" } ], "erpIssueDateTime": "2019-12-31T10:11:12", "erpIssuedBy": { "userId": "00f03b98-2511-489f-9695-13791b3f66b6", "email": "contact@yourcompany.com", "userName": "username" }, "erpLastChangeDateTime": "2019-12-31T10:11:12", "erpLastChangedBy": { "userId": "00f03b98-2511-489f-9695-13791b3f66b6", "email": "contact@yourcompany.com", "userName": "username" } }, "supplierOrder": { "companyId": "d024bf02-7e33-427b-b4f5-a10a61761711", "buyerAccountNumber": "BUYER12345", "description": "Any custom text about this supplier order", "properties": [ { "key": "color", "value": "red" } ], "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "description": "General document", "type": "General" } ], "notes": [ "Supplier note 1", "Supplier note 2" ], "contact": { "userId": "d024bf02-7e33-427b-b4f5-a10a61761711", "email": "user@example.com", "userName": "user", "status": "Suggested", "firstName": "John", "lastName": "Doe", "position": "Supply Chain Manager", "phoneNumber": "+31612345678" }, "customLabels": [ { "text": "Urgent", "reason": "Out of stock" } ], "erpLastResponseDateTime": "2019-12-31T10:11:12", "erpLastRespondedBy": { "userId": "00f03b98-2511-489f-9695-13791b3f66b6", "email": "contact@yourcompany.com", "userName": "username" } }, "lines": [ { "id": "ee99cd3f-c24c-4b60-84ea-8dcf889cc37b-PO012345789-00010", "lineType": "Item", "chargeReasonCode": "FC", "buyerLine": { "position": "00010", "row": "1", "description": "Anything about this buyer line", "item": { "number": "12345", "revision": "v2", "name": "Round tube ø60x45", "description": "Very nice round tube ø60 x 45", "purchaseUnitOfMeasureIso": "PCE", "supplierItemNumber": "67890", "dimensions": [ { "attribute": "Length", "measure": 50.5, "unitOfMeasureUnece": "m" } ] }, "itemDetails": { "countryOfOriginCodeIso2": "NL", "combinedNomenclatureCode": "6406 10 10", "netWeight": 41.241, "netWeightUnitOfMeasureIso": "KG", "dangerousGoodsCodeUnece": "0060", "serialNumber": "0x0000000000028000", "batchNumber": "#18001" }, "prices": { "grossPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "discountPercentage": 50, "netPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE", "priceUnitQuantity": 100 }, "deliverySchedule": [ { "position": "0001", "date": "2019-12-31", "quantity": 1234.56 } ], "chargeLines": [ { "position": "001", "chargeTypeCode": "FC", "chargeDescription": "Additional coating", "quantity": 2, "price": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE" } ], "deliveryHistory": [ { "position": "0001", "date": "2019-12-31", "quantity": 1234.56 } ], "requests": { "reopenRequest": { "deliverySchedule": [ { "position": "0001", "originalPosition": "0001", "date": "2019-12-31", "quantity": 1234.56 } ], "prices": { "grossPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "discountPercentage": 50, "netPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE", "priceUnitQuantity": 100 }, "chargeLines": [ { "position": "001", "chargeTypeCode": "FC", "chargeDescription": "Additional coating", "quantity": 2, "price": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE" } ], "reason": "We need to reconsider this.", "status": "Open" }, "reconfirmationRequest": { "status": "Open" } }, "terms": { "contractNumber": "123456789", "contractPosition": "0001" }, "projectNumber": "PROJ12345", "productionNumber": "PROD12345", "salesOrderNumber": "SO123456789", "indicators": { "noDeliveryExpected": true, "delivered": true, "shipped": true, "proposeWhenAccepted": true }, "properties": [ { "key": "color", "value": "red" } ], "notes": [ "First buyer line note", "Second buyerr line note" ], "labels": [ "First label for this buyer line", "Second label for this buyer line" ], "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "description": "General document", "type": "General" } ], "certification": { "typeCode": "C", "type": "Class Certificate", "classificationSocietyCode": "LR", "classificationSociety": "Lloyd & Boss Register" }, "customLabels": [ { "text": "Urgent", "reason": "Out of stock" } ] }, "supplierLine": { "salesOrderNumber": "SO123456789", "salesOrderLinePosition": "00010", "description": "Anything about this supplier line", "itemDetails": { "countryOfOriginCodeIso2": "NL", "combinedNomenclatureCode": "6406 10 10", "netWeight": 41.241, "netWeightUnitOfMeasureIso": "KG", "dangerousGoodsCodeUnece": "0060", "serialNumber": "0x0000000000028000", "batchNumber": "#18001" }, "chargeLines": [ { "position": "001", "chargeTypeCode": "FC", "chargeDescription": "Additional coating", "quantity": 2, "price": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE" } ], "requests": { "proposal": { "prices": { "grossPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "discountPercentage": 50, "netPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE", "priceUnitQuantity": 100 }, "deliverySchedule": [ { "position": "0001", "originalPosition": "0001", "date": "2019-12-31", "quantity": 1234.56 } ], "chargeLines": [ { "position": "001", "chargeTypeCode": "FC", "chargeDescription": "Additional coating", "quantity": 2, "price": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE" } ], "reason": "Out of stock", "status": "Open" }, "reopenRequest": { "deliverySchedule": [ { "position": "0001", "originalPosition": "0001", "date": "2019-12-31", "quantity": 1234.56 } ], "prices": { "grossPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "discountPercentage": 50, "netPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE", "priceUnitQuantity": 100 }, "chargeLines": [ { "position": "001", "chargeTypeCode": "FC", "chargeDescription": "Additional coating", "quantity": 2, "price": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE" } ], "reason": "We need to reconsider this.", "status": "Open" }, "shipmentRescheduleRequest": { "deliverySchedule": [ { "position": "0001", "originalPosition": "0001", "date": "2019-12-31", "quantity": 1234.56 } ], "reason": "Shipment needs to be rescheduled due to production delay.", "status": "Open" } }, "properties": [ { "key": "color", "value": "red" } ], "notes": [ "First supplier line note", "Second supplier line note" ], "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "description": "General document", "type": "General" } ], "customLabels": [ { "text": "Urgent", "reason": "Out of stock" } ] }, "confirmedLine": { "prices": { "grossPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "discountPercentage": 50, "netPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE", "priceUnitQuantity": 100 }, "deliverySchedule": [ { "position": "0001", "originalPosition": "0001", "date": "2019-12-31", "quantity": 1234.56 } ], "chargeLines": [ { "position": "001", "chargeTypeCode": "FC", "chargeDescription": "Additional coating", "quantity": 2, "price": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE" } ] }, "deliverySchedule": [ { "position": "01", "date": "2019-12-31", "quantity": 1234.56, "status": "Open", "indicators": { "deliveryOverdue": false }, "transportMode": "Train", "etd": "2019-12-31", "eta": "2019-12-31" } ], "deliveryScheduleIncludingRequests": [ { "position": "01", "date": "2019-12-31", "quantity": 1234.56, "status": "Open", "indicators": { "deliveryOverdue": false }, "transportMode": "Train", "etd": "2019-12-31", "eta": "2019-12-31" } ], "shipmentHistory": [ { "shipmentId": "0827f1b5-af43-4fbb-8f7e-6bc20c7dcd44-S12345", "shipmentNumber": "S12345", "deliverySchedulePosition": "D01", "despatchQuantity": 15.5 } ], "prices": { "grossPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "discountPercentage": 50, "netPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE", "priceUnitQuantity": 100 }, "pricesIncludingRequests": { "grossPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "discountPercentage": 50, "netPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE", "priceUnitQuantity": 100 }, "indicators": { "deliveryOverdue": true }, "eventDates": { "issuedAt": "2019-12-31T10:11:12.123Z", "confirmedAt": "2019-12-31T10:11:12.123Z", "shippedAt": "2019-12-31T10:11:12.123Z", "deliveredAt": "2019-12-31T10:11:12.123Z", "cancelledAt": "2019-12-31T10:11:12.123Z", "completedAt": "2019-12-31T10:11:12.123Z" }, "status": { "processStatus": "Issued", "inProgressStatus": "OpenSupplierProposal", "logisticsStatus": "Open" }, "mergedItemDetails": { "countryOfOriginCodeIso2": "NL", "combinedNomenclatureCode": "6406 10 10", "netWeight": 41.241, "netWeightUnitOfMeasureIso": "KG", "dangerousGoodsCodeUnece": "0060", "serialNumber": "0x0000000000028000", "batchNumber": "#18001" }, "totalAmount": { "value": 1234.56, "currencyIso": "EUR" }, "totalAmountIncludingRequests": { "value": 1234.56, "currencyIso": "EUR" }, "lastUpdatedAt": "2021-04-23T10:01:53.812Z", "reason": "Production schedule changed.", "portalUrl": "https://portal.accp.tradecloud1.com/orders/cb0cef0b-6538-4828-b45e-5ad8ea69b5cd-PO2189/line/cb0cef0b-6538-4828-b45e-5ad8ea69b5cd-PO2189-10" } ], "status": { "processStatus": "Issued", "logisticsStatus": "Open" }, "reason": "Production schedule changed.", "indicators": { "deliveryOverdue": true }, "eventDates": { "issuedAt": "2019-12-31T10:11:12.123Z", "confirmedAt": "2019-12-31T10:11:12.123Z", "shippedAt": "2019-12-31T10:11:12.123Z", "deliveredAt": "2019-12-31T10:11:12.123Z", "cancelledAt": "2019-12-31T10:11:12.123Z", "completedAt": "2019-12-31T10:11:12.123Z" }, "amounts": { "total": { "value": 1234.56, "currencyIso": "EUR" }, "totalInclRequests": { "value": 1234.56, "currencyIso": "EUR" } }, "meta": { "messageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "source": { "traceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "companyId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "origin": "Portal" }, "createdDateTime": "2019-12-08T10:11:12.123Z" }, "lastUpdatedAt": "2021-04-23T10:01:53.812Z", "version": 3, "portalUrl": "https://portal.accp.tradecloud1.com/orders/cb0cef0b-6538-4828-b45e-5ad8ea69b5cd-PO2189" }, "singleDeliveryOrderEvent": { "orderId": "eaf0036d-63ec-4292-b4ca-d65df0a912cc", "buyerOrder": { "companyId": "deea1b30-64b6-4dbf-ad74-51895c4a7695", "buyerParty": { "id": "COMPANY-123", "idScheme": "KvK", "names": [ "Blue Corp.", "Ocean District" ], "addressLines": [ "Main street 1", "Building 6" ], "postalCode": "1234 AB", "city": "Delft", "countryCodeIso2": "NL", "countryName": "The Netherlands" }, "buyerAccountingParty": { "id": "COMPANY-123", "idScheme": "KvK", "names": [ "Blue Corp.", "Ocean District" ], "addressLines": [ "Main street 1", "Building 6" ], "postalCode": "1234 AB", "city": "Delft", "countryCodeIso2": "NL", "countryName": "The Netherlands" }, "purchaseOrderNumber": "PO123456789", "supplierAccountNumber": "SUPPLIER12345", "supplierParty": { "id": "COMPANY-123", "idScheme": "KvK", "names": [ "Blue Corp.", "Ocean District" ], "addressLines": [ "Main street 1", "Building 6" ], "postalCode": "1234 AB", "city": "Delft", "countryCodeIso2": "NL", "countryName": "The Netherlands" }, "description": "Any custom text about this order", "destination": { "locationType": "Supplier Premises", "code": "LOC001", "names": [ "Company Name Headquarters" ], "addressLines": [ "Molengraaffsingel 12" ], "postalCode": "1234 AB", "city": "Delft", "countryCodeIso2": "NL", "countryName": "The Netherlands" }, "terms": { "incotermsCode": "CIF", "incoterms": "ECT Rotterdam", "paymentTermsCode": "30D", "paymentTerms": "30 days" }, "indicators": { "autoConfirm": true }, "properties": [ { "key": "color", "value": "red" } ], "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "description": "General document", "type": "General" } ], "notes": [ "Buyer note 1", "Buyer note 2" ], "labels": [ "first label for this buyer order", "second label for this buyer order" ], "contact": { "userId": "1ff0bd3b-9ee1-4b04-b6d0-f34de09aafce", "email": "johndoe@test.com", "userName": "john.d", "status": "Assigned", "firstName": "John", "lastName": "Doe", "position": "Supply Chain Manager", "phoneNumber": "+31612345678" }, "orderType": "Purchase", "customLabels": [ { "text": "Urgent", "reason": "Out of stock" } ], "erpIssueDateTime": "2019-12-31T10:11:12", "erpIssuedBy": { "userId": "00f03b98-2511-489f-9695-13791b3f66b6", "email": "contact@yourcompany.com", "userName": "username" }, "erpLastChangeDateTime": "2019-12-31T10:11:12", "erpLastChangedBy": { "userId": "00f03b98-2511-489f-9695-13791b3f66b6", "email": "contact@yourcompany.com", "userName": "username" } }, "supplierOrder": { "companyId": "d024bf02-7e33-427b-b4f5-a10a61761711", "buyerAccountNumber": "BUYER12345", "description": "Any custom text about this supplier order", "properties": [ { "key": "color", "value": "red" } ], "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "description": "General document", "type": "General" } ], "notes": [ "Supplier note 1", "Supplier note 2" ], "contact": { "userId": "d024bf02-7e33-427b-b4f5-a10a61761711", "email": "user@example.com", "userName": "user", "status": "Suggested", "firstName": "John", "lastName": "Doe", "position": "Supply Chain Manager", "phoneNumber": "+31612345678" }, "customLabels": [ { "text": "Urgent", "reason": "Out of stock" } ], "erpLastResponseDateTime": "2019-12-31T10:11:12", "erpLastRespondedBy": { "userId": "00f03b98-2511-489f-9695-13791b3f66b6", "email": "contact@yourcompany.com", "userName": "username" } }, "lines": [ { "id": "ee99cd3f-c24c-4b60-84ea-8dcf889cc37b-PO012345789-00010", "lineType": "Item", "chargeReasonCode": "FC", "buyerLine": { "position": "00010", "originalPosition": "00010", "row": "1", "description": "Anything about this line", "item": { "number": "12345", "revision": "v2", "name": "Round tube ø60x45", "description": "Very nice round tube ø60 x 45", "purchaseUnitOfMeasureIso": "PCE", "supplierItemNumber": "67890", "dimensions": [ { "attribute": "Length", "measure": 50.5, "unitOfMeasureUnece": "m" } ] }, "itemDetails": { "countryOfOriginCodeIso2": "NL", "combinedNomenclatureCode": "6406 10 10", "netWeight": 41.241, "netWeightUnitOfMeasureIso": "KG", "dangerousGoodsCodeUnece": "0060", "serialNumber": "0x0000000000028000", "batchNumber": "#18001" }, "prices": { "grossPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "discountPercentage": 50, "netPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE", "priceUnitQuantity": 100 }, "terms": { "contractNumber": "123456789", "contractPosition": "0001" }, "projectNumber": "PROJ12345", "productionNumber": "PROD12345", "salesOrderNumber": "SO123456789", "indicators": { "noDeliveryExpected": true, "delivered": true, "shipped": true, "proposeWhenAccepted": true }, "properties": [ { "key": "color", "value": "red" } ], "notes": [ "example" ], "labels": [ "first label for this line", "second label for this line" ], "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "description": "General document", "type": "General" } ], "certification": { "typeCode": "C", "type": "Class Certificate", "classificationSocietyCode": "LR", "classificationSociety": "Lloyd & Boss Register" }, "customLabels": [ { "text": "Urgent", "reason": "Out of stock" } ] }, "supplierLine": { "salesOrderNumber": "SO123456789", "salesOrderLinePosition": "00010", "description": "Anything about this line", "itemDetails": { "countryOfOriginCodeIso2": "NL", "combinedNomenclatureCode": "6406 10 10", "netWeight": 41.241, "netWeightUnitOfMeasureIso": "KG", "dangerousGoodsCodeUnece": "0060", "serialNumber": "0x0000000000028000", "batchNumber": "#18001" }, "properties": [ { "key": "color", "value": "red" } ], "notes": [ "example" ], "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "description": "General document", "type": "General" } ], "customLabels": [ { "text": "Urgent", "reason": "Out of stock" } ] }, "statusLine": { "scheduledDelivery": { "date": "2019-12-31", "quantity": 1234.56, "status": "ReadyToShip", "indicators": { "deliveryOverdue": false }, "transportMode": "Road transport", "etd": "2019-12-31", "eta": "2019-12-31" }, "scheduledDeliveryInclRequests": { "date": "2019-12-31", "quantity": 1234.56, "status": "ReadyToShip", "indicators": { "deliveryOverdue": false }, "transportMode": "Road transport", "etd": "2019-12-31", "eta": "2019-12-31" }, "prices": { "grossPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "discountPercentage": 50, "netPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE", "priceUnitQuantity": 100 }, "pricesInclRequests": { "grossPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "discountPercentage": 50, "netPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE", "priceUnitQuantity": 100 }, "totalQuantity": 1234.56, "totalQuantityInclRequests": 1234.56, "totalAmount": { "value": 1234.56, "currencyIso": "EUR" }, "totalAmountInclRequests": { "value": 1234.56, "currencyIso": "EUR" } }, "indicators": { "deliveryOverdue": true }, "status": { "processStatus": "Issued", "inProgressStatus": "OpenSupplierProposal", "logisticsStatus": "Open" }, "reason": "Production schedule changed.", "eventDates": { "issuedAt": "2019-12-31T10:11:12.123Z", "confirmedAt": "2019-12-31T10:11:12.123Z", "shippedAt": "2019-12-31T10:11:12.123Z", "deliveredAt": "2019-12-31T10:11:12.123Z", "cancelledAt": "2019-12-31T10:11:12.123Z", "completedAt": "2019-12-31T10:11:12.123Z" }, "mergedItemDetails": { "countryOfOriginCodeIso2": "NL", "combinedNomenclatureCode": "6406 10 10", "netWeight": 41.241, "netWeightUnitOfMeasureIso": "KG", "dangerousGoodsCodeUnece": "0060", "serialNumber": "0x0000000000028000", "batchNumber": "#18001" }, "lastUpdatedAt": "2021-04-23T10:01:53.812Z", "portalUrl": "https://portal.accp.tradecloud1.com/orders/cb0cef0b-6538-4828-b45e-5ad8ea69b5cd-PO2189/line/cb0cef0b-6538-4828-b45e-5ad8ea69b5cd-PO2189-10" } ], "status": { "processStatus": "Issued", "logisticsStatus": "Open" }, "reason": "Production schedule changed.", "indicators": { "deliveryOverdue": true }, "eventDates": { "issuedAt": "2019-12-31T10:11:12.123Z", "confirmedAt": "2019-12-31T10:11:12.123Z", "shippedAt": "2019-12-31T10:11:12.123Z", "deliveredAt": "2019-12-31T10:11:12.123Z", "cancelledAt": "2019-12-31T10:11:12.123Z", "completedAt": "2019-12-31T10:11:12.123Z" }, "amounts": { "total": { "value": 1234.56, "currencyIso": "EUR" }, "totalInclRequests": { "value": 1234.56, "currencyIso": "EUR" } }, "meta": { "messageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "source": { "traceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "companyId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "origin": "Portal" }, "createdDateTime": "2019-12-08T10:11:12.123Z" }, "lastUpdatedAt": "2021-04-23T10:01:53.812Z", "version": 3, "portalUrl": "https://portal.accp.tradecloud1.com/orders/cb0cef0b-6538-4828-b45e-5ad8ea69b5cd-PO2189" }, "orderDocumentsEvent": { "orderId": "eaf0036d-63ec-4292-b4ca-d65df0a912cc", "buyerOrderDocument": { "companyId": "00f03b98-2511-489f-9695-13791b3f66b6", "purchaseOrderNumber": "PO123456789", "orderType": "Purchase", "supplierAccountNumber": "12345", "contact": { "userId": "00f03b98-2511-489f-9695-13791b3f66b6", "email": "contact@yourcompany.com", "userName": "username" } }, "supplierOrderDocument": { "companyId": "d024bf02-7e33-427b-b4f5-a10a61761711", "buyerAccountNumber": "BUYER12345", "contact": { "userId": "00f03b98-2511-489f-9695-13791b3f66b6", "email": "contact@yourcompany.com", "userName": "username" } }, "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "description": "General document", "type": "General" } ], "lines": [ { "orderLineId": "ee99cd3f-c24c-4b60-84ea-8dcf889cc37b", "buyerLineDocument": { "position": "00010" }, "supplierLineDocument": { "salesOrderNumber": "SO123456789", "salesOrderPosition": "00020" }, "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "description": "General document", "type": "General" } ] } ], "meta": { "messageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "source": { "traceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "companyId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "origin": "Portal" }, "createdDateTime": "2019-12-08T10:11:12.123Z" } } }'

If POST requests are configured in your company integration settings, Tradecloud will trigger a request to this address when an order (response) is new or has been changed.

The request body that is sent to your webhook.

object
eventName
required

The name of the event that is included in this request. For buyer/supplier it could be one one of the following:

  • CompletedOrderLinesRevertedByBuyer
  • OrderChangesProposalApprovedByBuyer
  • OrderChangesProposalRejectedByBuyer
  • OrderChangesProposedBySupplier
  • OrderContactReassignedByBuyer
  • OrderContactReassignedBySupplier
  • OrderCustomLabelsUpdatedByBuyer
  • OrderCustomLabelsUpdatedBySupplier
  • OrderDocumentsAttachedByBuyer
  • OrderDocumentsAttachedBySupplier
  • OrderIssuedByBuyer
  • OrderLinesAcceptedBySupplier
  • OrderLinesCancelledByBuyer
  • OrderLinesCompletedByBuyer
  • OrderLinesConfirmedByBuyer
  • OrderLinesConfirmedBySupplier
  • OrderLinesDeliveryHistoryAppendedByBuyer
  • OrderLinesDeliveryHistorySetByBuyer
  • OrderLinesDeliveryScheduleLogisticsUpdatedByBuyer
  • OrderLinesDeliveryScheduleLogisticsUpdatedBySupplier
  • OrderLinesIssuedByBuyer
  • OrderLinesItemDetailsChangedBySupplier
  • OrderLinesMarkedAsDeliveredByBuyer
  • OrderLinesMarkedAsDeliveredBySupplier
  • OrderLinesMarkedAsOpenByBuyer
  • OrderLinesMarkedAsOpenBySupplier
  • OrderLinesReconfirmationRequestedByBuyer
  • OrderLinesReconfirmedBySupplier
  • OrderLinesReissuedByBuyer
  • OrderLinesRejectedBySupplier
  • OrderLinesReopenRequestApprovedByBuyer
  • OrderLinesReopenRequestApprovedBySupplier
  • OrderLinesReopenRequestRejectedByBuyer
  • OrderLinesReopenRequestRejectedBySupplier
  • OrderLinesReopenRequestRevertedByBuyer
  • OrderLinesReopenRequestRevertedBySupplier
  • OrderLinesReopenRequestedByBuyer
  • OrderLinesReopenRequestedBySupplier
  • OrderLinesShipmentRescheduleApprovedByBuyer
  • OrderLinesShipmentRescheduleRejectedByBuyer
  • OrderLinesShipmentRescheduleRequestedBySupplier
  • OrderLinesShippedByBuyer
  • OrderLinesUpdatedByBuyer
  • OrderLinesUpdatedBySupplier
  • OrderResentByBuyer
  • OrderResentBySupplier
string

Example

OrderLinesAcceptedBySupplier
orderEvent

Includes the order data. Note that if “Single delivery per order line” is enabled in the connector settings, the singleDeliveryOrderEvent is provided instead. Only provided if eventName is one of the following:

  • CompletedOrderLinesRevertedByBuyer
  • OrderChangesProposalApprovedByBuyer
  • OrderChangesProposalRejectedByBuyer
  • OrderChangesProposedBySupplier
  • OrderContactReassignedByBuyer
  • OrderContactReassignedBySupplier
  • OrderCustomLabelsUpdatedByBuyer
  • OrderCustomLabelsUpdatedBySupplier
  • OrderIssuedByBuyer
  • OrderLinesAcceptedBySupplier
  • OrderLinesCancelledByBuyer
  • OrderLinesCompletedByBuyer
  • OrderLinesConfirmedByBuyer
  • OrderLinesConfirmedBySupplier
  • OrderLinesDeliveryHistoryAppendedByBuyer
  • OrderLinesDeliveryHistorySetByBuyer
  • OrderLinesDeliveryScheduleLogisticsUpdatedByBuyer
  • OrderLinesDeliveryScheduleLogisticsUpdatedBySupplier
  • OrderLinesIssuedByBuyer
  • OrderLinesItemDetailsChangedBySupplier
  • OrderLinesMarkedAsDeliveredByBuyer
  • OrderLinesMarkedAsDeliveredBySupplier
  • OrderLinesMarkedAsOpenByBuyer
  • OrderLinesMarkedAsOpenBySupplier
  • OrderLinesReconfirmationRequestedByBuyer
  • OrderLinesReconfirmedBySupplier
  • OrderLinesReissuedByBuyer
  • OrderLinesRejectedBySupplier
  • OrderLinesReopenRequestApprovedByBuyer
  • OrderLinesReopenRequestApprovedBySupplier
  • OrderLinesReopenRequestRejectedByBuyer
  • OrderLinesReopenRequestRejectedBySupplier
  • OrderLinesReopenRequestRevertedByBuyer
  • OrderLinesReopenRequestRevertedBySupplier
  • OrderLinesReopenRequestedByBuyer
  • OrderLinesReopenRequestedBySupplier
  • OrderLinesShipmentRescheduleApprovedByBuyer
  • OrderLinesShipmentRescheduleRejectedByBuyer
  • OrderLinesShipmentRescheduleRequestedBySupplier
  • OrderLinesShippedByBuyer
  • OrderLinesUpdatedByBuyer
  • OrderLinesUpdatedBySupplier
  • OrderResentByBuyer
  • OrderResentBySupplier
object
orderId
required

The Tradecloud order ID

string

Example

cb0cef0b-6538-4828-b45e-5ad8ea69b5cd-PO2189
buyerOrder
required

The buyer side header of the purchase order.

object
companyId
required

The buyers globally unique Tradecloud company identifier

string format: uuid

Example

deea1b30-64b6-4dbf-ad74-51895c4a7695
buyerParty

Includes an unique party identifier and scheme. Without idSchema an accountNumber is assumed.

object
id

The identifier for the party

string

Example

COMPANY-123
idScheme

The scheme, providing context to the identifier. Eg. KvK, GLN, etc.

string

Example

KvK
names

The names of this company

Array<string>

Example

[
"Blue Corp.",
"Ocean District"
]
addressLines

The address lines where this company is located.

Array<string>

Example

[
"Main street 1",
"Building 6"
]
postalCode

The postal code of this company

string

Example

1234 AB
city

The city where this company is located

string

Example

Delft
countryCodeIso2

ISO 3166-1 alpha-2 country code of this company

string format: ISO 3166-1 alpha-2

Example

NL
countryName

Optional country name, preferable in English.

string

Example

The Netherlands
buyerAccountingParty

Includes an unique party identifier and scheme. Without idSchema an accountNumber is assumed.

object
id

The identifier for the party

string

Example

COMPANY-123
idScheme

The scheme, providing context to the identifier. Eg. KvK, GLN, etc.

string

Example

KvK
names

The names of this company

Array<string>

Example

[
"Blue Corp.",
"Ocean District"
]
addressLines

The address lines where this company is located.

Array<string>

Example

[
"Main street 1",
"Building 6"
]
postalCode

The postal code of this company

string

Example

1234 AB
city

The city where this company is located

string

Example

Delft
countryCodeIso2

ISO 3166-1 alpha-2 country code of this company

string format: ISO 3166-1 alpha-2

Example

NL
countryName

Optional country name, preferable in English.

string

Example

The Netherlands
purchaseOrderNumber
required

The purchase order number provided by the buyer. The number is unique and immutable within the buyer scope.

string

Example

PO123456789
supplierAccountNumber
required

The supplier account code or number as known at the buyer.

string

Example

SUPPLIER12345
supplierParty

Includes an unique party identifier and scheme. Without idSchema an accountNumber is assumed.

object
id

The identifier for the party

string

Example

COMPANY-123
idScheme

The scheme, providing context to the identifier. Eg. KvK, GLN, etc.

string

Example

KvK
names

The names of this company

Array<string>

Example

[
"Blue Corp.",
"Ocean District"
]
addressLines

The address lines where this company is located.

Array<string>

Example

[
"Main street 1",
"Building 6"
]
postalCode

The postal code of this company

string

Example

1234 AB
city

The city where this company is located

string

Example

Delft
countryCodeIso2

ISO 3166-1 alpha-2 country code of this company

string format: ISO 3166-1 alpha-2

Example

NL
countryName

Optional country name, preferable in English.

string

Example

The Netherlands
description

An optional free format order description or reference added by the buyer

string

Example

Any custom text about this order
destination

Includes location code and address.

object
locationType

Optional type of the location, eg. Supplier Premises

string

Example

Supplier Premises
code

Mandatory unique and immutable destination location code or number.

string

Example

LOC001
names
required

One or more names used to described this location. Can be the company name, location name, department, etc.

Array<string>
addressLines
required

One or more address lines of this location.

Array<string>
postalCode

The postal code of this location.

string

Example

1234 AB
city

The city of this location.

string

Example

Delft
countryCodeIso2
required

Mandatory ISO 3166-1 alpha-2 country code of this location.

string format: ISO 3166-1 alpha-2

Example

NL
countryName

Optional country name, preferable in English.

string

Example

The Netherlands
terms

The order terms as agreed between buyer and supplier, provided by the buyer.

object
incotermsCode

Optional incoterms code according to ICC Incoterms 2010.

string format: ICC Incoterms 2010

Example

CIF
incoterms

The incoterms named place (delivery, terminal, port or destination).

string

Example

ECT Rotterdam
paymentTermsCode

The payment terms code as provided by the buyer.

string

Example

30D
paymentTerms

The payment terms text as provided by the buyer.

string

Example

30 days
indicators
object
autoConfirm

Indicates whether the autoConfirm feature was enabled by the buyer for this order.

boolean
properties
required

Key-value based custom fields added by the buyer.

Array<object>

A key-value based custom field.

object
key
required

The key of the custom field.

string

Example

color
value
required

The value of the custom field. Use \n for a new line.

string

Example

red
documents
required

Order line document references and meta data added by the buyer

Array<object>

Either use objectId and the Tradecloud object-storage API or url to download the document.

object
code

Optional document code or number. The code is unique and immutable within a company.

string

Example

123456789
revision

Optional document revision (or version) code or number

string

Example

B
name

Optional document short name

string

Example

Tradecloud API Manual
objectId

The globally unique Tradecloud object identifier as known by the Tradecloud Object Storage, if this document stored in Tradecloud.

string format: uuid

Example

00f03b98-2511-489f-9695-13791b3f66b6
url

Optional location of the document if is not stored in Tradecloud.

string format: url

Example

https://my-company.com/storage/my_file.pdf
description

Optional description of the attached document.

string

Example

General document
type

Optional type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…

string

Example

General
notes
required

String based custom fields added by the buyer. \n are used for a new line.

Array<string>

Example

[
"Buyer note 1",
"Buyer note 2"
]
labels

Optional value-added services labels on order level. Please note the practicable number of labels is dependent on the supplier.

Array<string>

Example

[
"first label for this buyer order",
"second label for this buyer order"
]
contact

The buyer contact information of an order.

object
userId

The Tradecloud user ID of the buyer contact.

string format: uuid

Example

1ff0bd3b-9ee1-4b04-b6d0-f34de09aafce
email

The email of the buyer contact.

string

Example

johndoe@test.com
userName

The username of the buyer contact in the buyer ERP system.

string

Example

john.d
status

The status of this buyer contact.

string
Allowed values: Assigned Reassigned
firstName

The first name of the buyer contact.

string

Example

John
lastName

The last name of the buyer contact.

string

Example

Doe
position

The position of the buyer contact within the buyer company.

string

Example

Supply Chain Manager
phoneNumber

The phone number of the buyer contact within the buyer company.

string

Example

+31612345678
orderType
required

The order type, one of:

  • Purchase - This is a purchase order (default).
  • Forecast - This is a forecast order.
  • RFQ - This is a request for quotation order.
string
default: Purchase
Allowed values: Purchase Forecast RFQ
customLabels

Optional custom labels on order level added by buyer, to make supply or quality issues visible.

Array<object>

Custom label to make supply or quality issues visible.

object
text
required

Free format label text.

string

Example

Urgent
reason

Free format label reason.

string

Example

Out of stock
erpIssueDateTime

Optional ISO local date and time at which the order was originally issued in the buyers ERP system.

string format: YYYY-MM-DDThh:mm:ss

Example

2019-12-31T10:11:12
erpIssuedBy

A buyer or supplier contact.

object
userId

Optional globally unique Tradecloud user identifier.

string format: uuid

Example

00f03b98-2511-489f-9695-13791b3f66b6
email

Optional contact email as known in your ERP system.

string

Example

contact@yourcompany.com
userName

Optional contact username as known in your ERP system.

string

Example

username
erpLastChangeDateTime

Optional ISO local date and time at which the order was updated in the buyers ERP system.

string format: YYYY-MM-DDThh:mm:ss

Example

2019-12-31T10:11:12
erpLastChangedBy

A buyer or supplier contact.

object
userId

Optional globally unique Tradecloud user identifier.

string format: uuid

Example

00f03b98-2511-489f-9695-13791b3f66b6
email

Optional contact email as known in your ERP system.

string

Example

contact@yourcompany.com
userName

Optional contact username as known in your ERP system.

string

Example

username
supplierOrder
required

The supplier side header of the purchase order.

object
companyId
required

The suppliers globally unique Tradecloud company identifier

string format: uuid

Example

d024bf02-7e33-427b-b4f5-a10a61761711
buyerAccountNumber

The buyer account code or number as known at the supplier.

string

Example

BUYER12345
description

An optional free format order description or reference added by the supplier

string

Example

Any custom text about this supplier order
properties
required

Key-value based custom fields added by the supplier.

Array<object>

A key-value based custom field.

object
key
required

The key of the custom field.

string

Example

color
value
required

The value of the custom field. Use \n for a new line.

string

Example

red
documents
required

Order document references and meta data added by the supplier

Array<object>

Either use objectId and the Tradecloud object-storage API or url to download the document.

object
code

Optional document code or number. The code is unique and immutable within a company.

string

Example

123456789
revision

Optional document revision (or version) code or number

string

Example

B
name

Optional document short name

string

Example

Tradecloud API Manual
objectId

The globally unique Tradecloud object identifier as known by the Tradecloud Object Storage, if this document stored in Tradecloud.

string format: uuid

Example

00f03b98-2511-489f-9695-13791b3f66b6
url

Optional location of the document if is not stored in Tradecloud.

string format: url

Example

https://my-company.com/storage/my_file.pdf
description

Optional description of the attached document.

string

Example

General document
type

Optional type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…

string

Example

General
notes
required

String based custom fields added by the supplier. \n are used for a new line.

Array<string>

Example

[
"Supplier note 1",
"Supplier note 2"
]
contact

Supplier contact information.

object
userId

User ID.

string format: uuid

Example

d024bf02-7e33-427b-b4f5-a10a61761711
email

Email address.

string

Example

user@example.com
userName

Username.

string

Example

user
status
string
Allowed values: Suggested Assigned Reassigned
firstName

The first name of the supplier contact.

string

Example

John
lastName

The last name of the supplier contact.

string

Example

Doe
position

The position of the supplier contact within the supplier company.

string

Example

Supply Chain Manager
phoneNumber

The phone number of the buyer contact within the supplier company.

string

Example

+31612345678
customLabels

Optional custom labels on order level added by supplier, to make supply or quality issues visible.

Array<object>

Custom label to make supply or quality issues visible.

object
text
required

Free format label text.

string

Example

Urgent
reason

Free format label reason.

string

Example

Out of stock
erpLastResponseDateTime

ISO local date and time at which the order response was updated in suppliers ERP system.

string format: YYYY-MM-DDThh:mm:ss

Example

2019-12-31T10:11:12
erpLastRespondedBy

A buyer or supplier contact.

object
userId

Optional globally unique Tradecloud user identifier.

string format: uuid

Example

00f03b98-2511-489f-9695-13791b3f66b6
email

Optional contact email as known in your ERP system.

string

Example

contact@yourcompany.com
userName

Optional contact username as known in your ERP system.

string

Example

username
lines
required

List of order lines, sorted by buyerLine.position.

Array<object>

Includes the order line data.

object
id
required

The globally unique Tradecloud order line identifier

string

Example

ee99cd3f-c24c-4b60-84ea-8dcf889cc37b-PO012345789-00010
lineType

The optional order line type set by the buyer or supplier, one of:

  • Item - This is an item line (default).
  • Service - This is a service line.
  • Charge - This is a charge line.
string
default: Item
Allowed values: Item Service Charge
chargeReasonCode

The optional charge reason code set by the buyer or supplier, in case of a charge line.

string format: UNCL7161

Example

FC
buyerLine
required

A buyer purchase order line contains at least the position, item and delivery schedule.

object
position
required

The mandatory position identifier in the purchase order. The position is unique and immutable within the order.

string format: digits

Example

00010
row

An optional row label for this position. Do NOT use row as identifier.

string format: digits

Example

1
description

An optional free format line description or reference added by the buyer.

string

Example

Anything about this buyer line
item
required

The buyer item (or article, goods) to be delivered.

object
number

The mandatory item code or number as known by the buyer. The number is unique and immutable within the buyer scope.

string

Example

12345
revision

The optional revision (or version) of this item as known by the buyer.

string

Example

v2
name
required

The mandatory short name of this item as known by the buyer.

string

Example

Round tube ø60x45
description

The optionally long description of this item as known by the buyer.

string

Example

Very nice round tube ø60 x 45
purchaseUnitOfMeasureIso
required

The purchase unit of measure for this item, passed through as-is to the supplier. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string

Example

PCE
supplierItemNumber

The optional item code or number as known by the supplier. Advised in case of wholesale suppliers.

string

Example

67890
dimensions

Array of dimensions related to the item

Array<object>

Defines measurable dimensions (length, width, area, weight or volume) of an item

object
attribute
required

Measurement type of item

string

Example

Length
measure
required

Measurement value

number

Example

50.5
unitOfMeasureUnece
required

The unit of measure for this dimension, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string

Example

m
itemDetails

The buyer may send item details to inform the supplier about part information. The supplier may check, change and add item details if they are not correct or incomplete.

object
countryOfOriginCodeIso2

The country of manufacture, production, or growth where an article or product comes from

string

Example

NL
combinedNomenclatureCode

A tool for classifying goods, set up to meet the requirements both of the Common Customs Tariff and of the EU’s external trade statistics

string

Example

6406 10 10
netWeight

Net weight of one item

number format: float

Example

41.241
netWeightUnitOfMeasureIso

The net weight unit of measure, passed through as-is. Mandatory when netWeight is provided. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string

Example

KG
dangerousGoodsCodeUnece

UN numbers or UN IDs are four-digit numbers that identify dangerous goods, hazardous substances and articles in the framework of international transport.

string

Example

0060
serialNumber

Unique identifier assigned incrementally or sequentially to an item, to uniquely identify it

string

Example

0x0000000000028000
batchNumber

Identification number assigned to a particular quantity or lot of material from a single manufacturer

string

Example

#18001
prices
required

The gross price, discount percentage and net price. Advised is to use net price only or alternatively gross price together with discount percentage.

object
grossPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
discountPercentage

The discount percentage. Use together with grossPrice.

number

Example

50
netPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string

Example

PCE
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items).

number

Example

100
deliverySchedule
required

The planned delivery schedule as requested by the buyer. One or more delivery lines will be provided.

Array<object>

A delivery line in the delivery schedule or history.

object
position

The optional position in the delivery schedule or history. The position is unique and immutable within the schedule.

string format: digits

Example

0001
date
required

The mandatory local delivery date of this delivery position. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
quantity
required

The mandatory quantity of this delivery position. Quantity has a decimal format.

number

Example

1234.56
chargeLines

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. The charge lines for this order line as known by the buyer.

Array<object>

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. The Charge Line that is included in an order line.

object
position

The position used to identify a Charge Line.

string

Example

001
chargeTypeCode
required

The reason code of this Charge Line.

string format: UNCL7161

Example

FC
chargeDescription
required

The description of this Charge Line.

string

Example

Additional coating
quantity
required

The quantity ordered of this Charge Line

number

Example

2
price
required

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string

Example

PCE
deliveryHistory
required

The historical actual delivery schedule as goods are received at the buyer. Zero, one or more delivery lines will be provided.

Array<object>

A delivery line in the delivery schedule or history.

object
position

The optional position in the delivery schedule or history. The position is unique and immutable within the schedule.

string format: digits

Example

0001
date
required

The mandatory local delivery date of this delivery position. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
quantity
required

The mandatory quantity of this delivery position. Quantity has a decimal format.

number

Example

1234.56
requests

Requests by the buyer.

object
reopenRequest

Alternative delivery schedule and prices proposed by the buyer or supplier, after the order line was confirmed.

object
deliverySchedule
required
Array<object>

A delivery line in the proposed or confirmed delivery schedule.

object
position

The position of the delivery schedule line. The position is unique and immutable within the schedule. Omitted/null in case of a split delivery schedule line.

string format: digits

Example

0001
originalPosition

The original position of the delivery schedule line in case of a split delivery schedule line.

string format: digits

Example

0001
date

Required local delivery date of this delivery position. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
quantity

Required quantity of this delivery position. Quantity has a decimal format.

number

Example

1234.56
prices

The gross price, discount percentage and net price. Advised is to use net price only or alternatively gross price together with discount percentage.

object
grossPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
discountPercentage

The discount percentage. Use together with grossPrice.

number

Example

50
netPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string

Example

PCE
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items).

number

Example

100
chargeLines

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead.

Array<object>

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. The Charge Line that is included in an order line.

object
position

The position used to identify a Charge Line.

string

Example

001
chargeTypeCode
required

The reason code of this Charge Line.

string format: UNCL7161

Example

FC
chargeDescription
required

The description of this Charge Line.

string

Example

Additional coating
quantity
required

The quantity ordered of this Charge Line

number

Example

2
price
required

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string

Example

PCE
reason
string

Example

We need to reconsider this.
status
required

The line reopen request or proposal status:

  • Open - Requested by either buyer or supplier. To be approved or rejected by the other party.
  • Approved - The request is approved by the other party.
  • Rejected - The request is rejected by the other party.
  • Closed - The request is closed because it is not relevant anymore.
string
Allowed values: Open Approved Rejected Closed

Example

Approved
reconfirmationRequest

Reconfirmation request as requested by the buyer.

object
status
required

The line reopen request or proposal status:

  • Open - Requested by either buyer or supplier. To be approved or rejected by the other party.
  • Approved - The request is approved by the other party.
  • Rejected - The request is rejected by the other party.
  • Closed - The request is closed because it is not relevant anymore.
string
Allowed values: Open Approved Rejected Closed

Example

Approved
terms

Order line terms set by the buyer.

object
contractNumber

The contract framework code or number associated with this line. The number is unique and immutable within the buyer scope.

string

Example

123456789
contractPosition

Optional position in the framework contract associated with this line. The position is unique and immutable within the contract.

string format: digits

Example

0001
projectNumber

Optional buyer project code or number associated with this line.

string

Example

PROJ12345
productionNumber

Optional buyer production code or number associated with this line.

string

Example

PROD12345
salesOrderNumber

Optional buyer sales order code or number associated with this line.

string

Example

SO123456789
indicators

Order line indicators set by the buyer.

object
noDeliveryExpected

No goods are expected to be delivered to the buyer.

boolean

Example

true
delivered

All goods are delivered at the buyer.

boolean

Example

true
shipped

All goods are shipped to the buyer.

boolean

Example

true
proposeWhenAccepted

If set to true, when supplier confirms a line then this line becomes a proposal

boolean

Example

true
properties
required

Key-value based custom fields added by the buyer.

Array<object>

A key-value based custom field.

object
key
required

The key of the custom field.

string

Example

color
value
required

The value of the custom field. Use \n for a new line.

string

Example

red
notes
required

String based custom fields added by the buyer. \n are used for a new line.

Array<string>

Example

[
"First buyer line note",
"Second buyerr line note"
]
labels

Optional value-added services labels on line level. Please note the practicable number of labels is dependent on the supplier.

Array<string>

Example

[
"First label for this buyer line",
"Second label for this buyer line"
]
documents
required

Order line document references and meta data added by the buyer

Array<object>

Either use objectId and the Tradecloud object-storage API or url to download the document.

object
code

Optional document code or number. The code is unique and immutable within a company.

string

Example

123456789
revision

Optional document revision (or version) code or number

string

Example

B
name

Optional document short name

string

Example

Tradecloud API Manual
objectId

The globally unique Tradecloud object identifier as known by the Tradecloud Object Storage, if this document stored in Tradecloud.

string format: uuid

Example

00f03b98-2511-489f-9695-13791b3f66b6
url

Optional location of the document if is not stored in Tradecloud.

string format: url

Example

https://my-company.com/storage/my_file.pdf
description

Optional description of the attached document.

string

Example

General document
type

Optional type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…

string

Example

General
certification

3th party certification requirements by buyer.

object
typeCode

Certification Type code

string

Example

C
type

Human readable Certification Type

string

Example

Class Certificate
classificationSocietyCode

Classification Society code

string

Example

LR
classificationSociety

Human readable Classification Society

string

Example

Lloyd & Boss Register
customLabels

Optional custom labels on order line level added by buyer, to make supply or quality issues visible.

Array<object>

Custom label to make supply or quality issues visible.

object
text
required

Free format label text.

string

Example

Urgent
reason

Free format label reason.

string

Example

Out of stock
supplierLine
required

A supplier side order line may contain sales order number and position and a proposal.

object
salesOrderNumber

Optional supplier sales order code or number associated with this line. The number is unique and immutable within the supplier scope.

string

Example

SO123456789
salesOrderLinePosition

Optional supplier sales order line position associated with this line. The position is unique and immutable within the sales order.

string

Example

00010
description

An optional free format line description or reference added by the supplier.

string

Example

Anything about this supplier line
itemDetails

The buyer may send item details to inform the supplier about part information. The supplier may check, change and add item details if they are not correct or incomplete.

object
countryOfOriginCodeIso2

The country of manufacture, production, or growth where an article or product comes from

string

Example

NL
combinedNomenclatureCode

A tool for classifying goods, set up to meet the requirements both of the Common Customs Tariff and of the EU’s external trade statistics

string

Example

6406 10 10
netWeight

Net weight of one item

number format: float

Example

41.241
netWeightUnitOfMeasureIso

The net weight unit of measure, passed through as-is. Mandatory when netWeight is provided. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string

Example

KG
dangerousGoodsCodeUnece

UN numbers or UN IDs are four-digit numbers that identify dangerous goods, hazardous substances and articles in the framework of international transport.

string

Example

0060
serialNumber

Unique identifier assigned incrementally or sequentially to an item, to uniquely identify it

string

Example

0x0000000000028000
batchNumber

Identification number assigned to a particular quantity or lot of material from a single manufacturer

string

Example

#18001
chargeLines

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. The charge lines for this order line as known by the supplier.

Array<object>

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. The Charge Line that is included in an order line.

object
position

The position used to identify a Charge Line.

string

Example

001
chargeTypeCode
required

The reason code of this Charge Line.

string format: UNCL7161

Example

FC
chargeDescription
required

The description of this Charge Line.

string

Example

Additional coating
quantity
required

The quantity ordered of this Charge Line

number

Example

2
price
required

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string

Example

PCE
requests

Requests by the supplier.

object
proposal

Alternative delivery schedule and prices proposed by the supplier.

object
prices
required

The gross price, discount percentage and net price. Advised is to use net price only or alternatively gross price together with discount percentage.

object
grossPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
discountPercentage

The discount percentage. Use together with grossPrice.

number

Example

50
netPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string

Example

PCE
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items).

number

Example

100
deliverySchedule
required

Alternative delivery schedule proposed by the supplier.

Array<object>

A delivery line in the proposed or confirmed delivery schedule.

object
position

The position of the delivery schedule line. The position is unique and immutable within the schedule. Omitted/null in case of a split delivery schedule line.

string format: digits

Example

0001
originalPosition

The original position of the delivery schedule line in case of a split delivery schedule line.

string format: digits

Example

0001
date

Required local delivery date of this delivery position. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
quantity

Required quantity of this delivery position. Quantity has a decimal format.

number

Example

1234.56
chargeLines

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. The charge lines for this order line as proposed by the supplier.

Array<object>

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. The Charge Line that is included in an order line.

object
position

The position used to identify a Charge Line.

string

Example

001
chargeTypeCode
required

The reason code of this Charge Line.

string format: UNCL7161

Example

FC
chargeDescription
required

The description of this Charge Line.

string

Example

Additional coating
quantity
required

The quantity ordered of this Charge Line

number

Example

2
price
required

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string

Example

PCE
reason

Optional reason for this proposal provided by the supplier.

string

Example

Out of stock
status
required

The line reopen request or proposal status:

  • Open - Requested by either buyer or supplier. To be approved or rejected by the other party.
  • Approved - The request is approved by the other party.
  • Rejected - The request is rejected by the other party.
  • Closed - The request is closed because it is not relevant anymore.
string
Allowed values: Open Approved Rejected Closed

Example

Approved
reopenRequest

Alternative delivery schedule and prices proposed by the buyer or supplier, after the order line was confirmed.

object
deliverySchedule
required
Array<object>

A delivery line in the proposed or confirmed delivery schedule.

object
position

The position of the delivery schedule line. The position is unique and immutable within the schedule. Omitted/null in case of a split delivery schedule line.

string format: digits

Example

0001
originalPosition

The original position of the delivery schedule line in case of a split delivery schedule line.

string format: digits

Example

0001
date

Required local delivery date of this delivery position. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
quantity

Required quantity of this delivery position. Quantity has a decimal format.

number

Example

1234.56
prices

The gross price, discount percentage and net price. Advised is to use net price only or alternatively gross price together with discount percentage.

object
grossPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
discountPercentage

The discount percentage. Use together with grossPrice.

number

Example

50
netPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string

Example

PCE
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items).

number

Example

100
chargeLines

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead.

Array<object>

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. The Charge Line that is included in an order line.

object
position

The position used to identify a Charge Line.

string

Example

001
chargeTypeCode
required

The reason code of this Charge Line.

string format: UNCL7161

Example

FC
chargeDescription
required

The description of this Charge Line.

string

Example

Additional coating
quantity
required

The quantity ordered of this Charge Line

number

Example

2
price
required

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string

Example

PCE
reason
string

Example

We need to reconsider this.
status
required

The line reopen request or proposal status:

  • Open - Requested by either buyer or supplier. To be approved or rejected by the other party.
  • Approved - The request is approved by the other party.
  • Rejected - The request is rejected by the other party.
  • Closed - The request is closed because it is not relevant anymore.
string
Allowed values: Open Approved Rejected Closed

Example

Approved
shipmentRescheduleRequest

Shipment reschedule request as requested by the supplier.

object
deliverySchedule
required

Requested delivery schedule for shipment reschedule.

Array<object>

A delivery line in the proposed or confirmed delivery schedule.

object
position

The position of the delivery schedule line. The position is unique and immutable within the schedule. Omitted/null in case of a split delivery schedule line.

string format: digits

Example

0001
originalPosition

The original position of the delivery schedule line in case of a split delivery schedule line.

string format: digits

Example

0001
date

Required local delivery date of this delivery position. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
quantity

Required quantity of this delivery position. Quantity has a decimal format.

number

Example

1234.56
reason

Optional reason for the shipment reschedule request.

string

Example

Shipment needs to be rescheduled due to production delay.
status
required

The line reopen request or proposal status:

  • Open - Requested by either buyer or supplier. To be approved or rejected by the other party.
  • Approved - The request is approved by the other party.
  • Rejected - The request is rejected by the other party.
  • Closed - The request is closed because it is not relevant anymore.
string
Allowed values: Open Approved Rejected Closed

Example

Approved
properties
required

Key-value based custom fields added by the supplier.

Array<object>

A key-value based custom field.

object
key
required

The key of the custom field.

string

Example

color
value
required

The value of the custom field. Use \n for a new line.

string

Example

red
notes
required

String based custom fields added by the supplier. \n are used for a new line.

Array<string>

Example

[
"First supplier line note",
"Second supplier line note"
]
documents
required

Order line document references and meta data added by the supplier

Array<object>

Either use objectId and the Tradecloud object-storage API or url to download the document.

object
code

Optional document code or number. The code is unique and immutable within a company.

string

Example

123456789
revision

Optional document revision (or version) code or number

string

Example

B
name

Optional document short name

string

Example

Tradecloud API Manual
objectId

The globally unique Tradecloud object identifier as known by the Tradecloud Object Storage, if this document stored in Tradecloud.

string format: uuid

Example

00f03b98-2511-489f-9695-13791b3f66b6
url

Optional location of the document if is not stored in Tradecloud.

string format: url

Example

https://my-company.com/storage/my_file.pdf
description

Optional description of the attached document.

string

Example

General document
type

Optional type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…

string

Example

General
customLabels

Optional custom labels on order line level added by supplier, to make supply or quality issues visible.

Array<object>

Custom label to make supply or quality issues visible.

object
text
required

Free format label text.

string

Example

Urgent
reason

Free format label reason.

string

Example

Out of stock
confirmedLine

The agreed delivery schedule and prices between buyer and supplier. Available when the line has status ‘Confirmed’

object
prices
required

The gross price, discount percentage and net price. Advised is to use net price only or alternatively gross price together with discount percentage.

object
grossPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
discountPercentage

The discount percentage. Use together with grossPrice.

number

Example

50
netPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string

Example

PCE
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items).

number

Example

100
deliverySchedule
required

The agreed delivery schedule between buyer and supplier. One or more delivery lines will be provided.

Array<object>

A delivery line in the proposed or confirmed delivery schedule.

object
position

The position of the delivery schedule line. The position is unique and immutable within the schedule. Omitted/null in case of a split delivery schedule line.

string format: digits

Example

0001
originalPosition

The original position of the delivery schedule line in case of a split delivery schedule line.

string format: digits

Example

0001
date

Required local delivery date of this delivery position. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
quantity

Required quantity of this delivery position. Quantity has a decimal format.

number

Example

1234.56
chargeLines

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. The confirmed charge lines for this order line.

Array<object>

Deprecated: Use lineType with value ‘Charge’ and chargeReasonCode on the order line instead. The Charge Line that is included in an order line.

object
position

The position used to identify a Charge Line.

string

Example

001
chargeTypeCode
required

The reason code of this Charge Line.

string format: UNCL7161

Example

FC
chargeDescription
required

The description of this Charge Line.

string

Example

Additional coating
quantity
required

The quantity ordered of this Charge Line

number

Example

2
price
required

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string

Example

PCE
deliverySchedule
required

Aggregated delivery schedule with logistics info

Array<object>

An aggregated delivery schedule line with logistics info

object
position

The optional position in the delivery schedule.

string format: digits

Example

01
date

The optional scheduled delivery local date (without time zone) of this delivery line. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
quantity

The optional scheduled quantity of this delivery line. Quantity has a decimal format.

number

Example

1234.56
status
required

The order, line or delivery line logistics status:

  • Open - No or partial quantity Produced, ReadyToShip, Shipped or Delivered
  • Produced - Full quantity produced by the supplier
  • ReadyToShip - Full quantity ready to be shipped by the supplier
  • Shipped - Full quantity shipped by the supplier
  • Delivered - Full quantity delivered at the buyer
  • Cancelled - Cancelled by buyer
string
Allowed values: Open Produced ReadyToShip Shipped Delivered Cancelled

Example

Open
indicators
object
deliveryOverdue

True if this delivery line is not Delivered yet and its date is in the past.

boolean

Example

false
transportMode

The mode of transportation

string

Example

Train
etd

The optional logistics Estimated Time of Departure local date (without time zone) of this delivery line. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
eta

The optional logistics Estimated Time of Arrival local date (without time zone) of this delivery line. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
deliveryScheduleIncludingRequests
required

Aggregated delivery schedule with logistics info and merged with requests

Array<object>

An aggregated delivery schedule line with logistics info

object
position

The optional position in the delivery schedule.

string format: digits

Example

01
date

The optional scheduled delivery local date (without time zone) of this delivery line. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
quantity

The optional scheduled quantity of this delivery line. Quantity has a decimal format.

number

Example

1234.56
status
required

The order, line or delivery line logistics status:

  • Open - No or partial quantity Produced, ReadyToShip, Shipped or Delivered
  • Produced - Full quantity produced by the supplier
  • ReadyToShip - Full quantity ready to be shipped by the supplier
  • Shipped - Full quantity shipped by the supplier
  • Delivered - Full quantity delivered at the buyer
  • Cancelled - Cancelled by buyer
string
Allowed values: Open Produced ReadyToShip Shipped Delivered Cancelled

Example

Open
indicators
object
deliveryOverdue

True if this delivery line is not Delivered yet and its date is in the past.

boolean

Example

false
transportMode

The mode of transportation

string

Example

Train
etd

The optional logistics Estimated Time of Departure local date (without time zone) of this delivery line. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
eta

The optional logistics Estimated Time of Arrival local date (without time zone) of this delivery line. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
shipmentHistory
required

Information about the shipment lines that were created in the shipment module for this order line.

Array<object>

Information about a shipment line that was created in the shipment module for an order line.

object
shipmentId
required

The Tradecloud ID of the shipment in which the shipmentLine was included.

string

Example

0827f1b5-af43-4fbb-8f7e-6bc20c7dcd44-S12345
shipmentNumber
required

The shipment number of the shipment in which the shipmentLine was included.

string

Example

S12345
deliverySchedulePosition
required

The position in the deliverySchedule that this shipmentLine applies to.

string

Example

D01
despatchQuantity
required

The quantity that was dispatched.

number format: float

Example

15.5
prices

The gross price, discount percentage and net price. Advised is to use net price only or alternatively gross price together with discount percentage.

object
grossPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
discountPercentage

The discount percentage. Use together with grossPrice.

number

Example

50
netPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string

Example

PCE
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items).

number

Example

100
pricesIncludingRequests

The gross price, discount percentage and net price. Advised is to use net price only or alternatively gross price together with discount percentage.

object
grossPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
discountPercentage

The discount percentage. Use together with grossPrice.

number

Example

50
netPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number

Example

1234.56
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string

Example

PCE
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items).

number

Example

100
indicators
required
object
deliveryOverdue
required

The goods of this line to be delivered are overdue according to the confirmed delivery schedule.

boolean

Example

true
eventDates
required

Key line event date and times.

object
issuedAt
required

Mandatory ISO date and time, in UTC time zone, at which the order line was issued in Tradecloud.

string format: YYYY-MM-DDThh:mm:ss.SSSZ

Example

2019-12-31T10:11:12.123Z
confirmedAt

Optional ISO date and time, in UTC time zone, at which the order line became confirmed in Tradecloud.

string format: YYYY-MM-DDThh:mm:ss.SSSZ

Example

2019-12-31T10:11:12.123Z
shippedAt

Optional ISO date and time, in UTC time zone, at which the order line became shipped in Tradecloud.

string format: YYYY-MM-DDThh:mm:ss.SSSZ

Example

2019-12-31T10:11:12.123Z
deliveredAt

Optional ISO date and time, in UTC time zone, at which the order line became delivered in Tradecloud.

string format: YYYY-MM-DDThh:mm:ss.SSSZ

Example

2019-12-31T10:11:12.123Z
cancelledAt

Optional ISO date and time, in UTC time zone, at which the order line became cancelled in Tradecloud.

string format: YYYY-MM-DDThh:mm:ss.SSSZ

Example

2019-12-31T10:11:12.123Z
completedAt

Optional ISO date and time, in UTC time zone, at which the order line became completed in Tradecloud.

string format: YYYY-MM-DDThh:mm:ss.SSSZ

Example

2019-12-31T10:11:12.123Z
status
required

The line process status and logistics status.

object
processStatus
required

The order or line process status:

  • Issued - (Re)issued by the buyer
  • InProgress - Under negotiation between buyer and supplier
  • Confirmed - Agreed between buyer and supplier
  • Rejected - Rejected by supplier
  • Completed - Completed at the buyer
  • Cancelled - Cancelled by buyer
string
Allowed values: Issued InProgress Confirmed Rejected Completed Cancelled

Example

Issued
inProgressStatus

More fine-grained status when an order line has processStatus InProgress, explaining why it is in progress:

  • OpenSupplierProposal - There is an open proposal from the supplier.
  • RejectedSupplierProposal - The proposal from the supplier was rejected and no other requests are open.
  • ApprovedDeliverySchedule - The order line delivery schedule was approved by the buyer.
  • RejectedDeliverySchedule - The order line delivery schedule was rejected by the buyer.
  • ReissuedRejectedLine - The rejected order line was reissued by the buyer.
  • OpenBuyerReconfirmationRequest - The buyer has requested to reconfirmed the order line.
  • OpenSupplierReopenRequest - There is an open reopen request from the supplier.
  • OpenSupplierShipmentRescheduleRequest - There is an open shipment reschedule request from the supplier.
  • OpenBuyerReopenRequest - There is an open reopen request from the buyer.
  • RevertedCompletedLine - The completion of this line was reverted.
string
Allowed values: OpenSupplierProposal RejectedSupplierProposal ApprovedDeliverySchedule RejectedDeliverySchedule ReissuedRejectedLine OpenBuyerReconfirmationRequest OpenSupplierReopenRequest OpenSupplierShipmentRescheduleRequest OpenBuyerReopenRequest RevertedCompletedLine
logisticsStatus
required

The order, line or delivery line logistics status:

  • Open - No or partial quantity Produced, ReadyToShip, Shipped or Delivered
  • Produced - Full quantity produced by the supplier
  • ReadyToShip - Full quantity ready to be shipped by the supplier
  • Shipped - Full quantity shipped by the supplier
  • Delivered - Full quantity delivered at the buyer
  • Cancelled - Cancelled by buyer
string
Allowed values: Open Produced ReadyToShip Shipped Delivered Cancelled

Example

Open
mergedItemDetails

The buyer may send item details to inform the supplier about part information. The supplier may check, change and add item details if they are not correct or incomplete.

object
countryOfOriginCodeIso2

The country of manufacture, production, or growth where an article or product comes from

string

Example

NL
combinedNomenclatureCode

A tool for classifying goods, set up to meet the requirements both of the Common Customs Tariff and of the EU’s external trade statistics

string

Example

6406 10 10
netWeight

Net weight of one item

number format: float

Example

41.241
netWeightUnitOfMeasureIso

[...]
